Skip to main content
GET
/
v1
/
{id}
Retrieve fraud case by ID
curl --request GET \
  --url 'https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/fraud-case/v1/{id}' \
  --header 'Authorization: Basic <encoded-value>'
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "status": "OPEN",
  "cardId": "54321",
  "createdTime": "2025-07-01T10:00:00Z",
  "lastUpdatedTime": "2025-07-02T14:30:00Z",
  "transactions": [
    {
      "transactionId": "12345",
      "customerDecision": "PENDING",
      "customerComment": "Looks good to me",
      "lastUpdatedTime": "2025-07-02T15:00:00Z",
      "reason": {
        "type": "RISK",
        "code": "ISSUANCE_OF_A_PAYMENT_ORDER_BY_FRAUDSTER"
      },
      "additionalAttributes": {}
    }
  ],
  "comment": "<string>",
  "resolutionStatus": "RISK"
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Path Parameters

id
string<uuid>
required

The unique identifier of the fraud case

Query Parameters

auditUser
string
required

The audit user to log the request

Response

Successful retrieval of the fraud case

id
string<uuid>
required

Unique identifier of the fraud case

Example:

"123e4567-e89b-12d3-a456-426614174000"

status
enum<string>
required

Current status of the fraud case

Available options:
OPEN,
PENDING,
CLOSED
Example:

"OPEN"

cardId
string<biginteger>
required

Unique identifier of the card on the fraud case

Example:

"54321"

createdTime
string<date-time>
required

Time when the fraud case was created

Example:

"2025-07-01T10:00:00Z"

lastUpdatedTime
string<date-time>
required

Time when the fraud case was last updated

Example:

"2025-07-02T14:30:00Z"

transactions
object[]
required

List of transactions associated with this case

comment
string | null

Optional plain text comment on case (set via PATCH or finalize).

Maximum string length: 512
Pattern: ^[^\p{Cntrl}<>]*$
resolutionStatus
enum<string>

Final case resolution derived when the case is CLOSED:

  • NO_RISK if all transactions are NO_RISK
  • RISK if at least one transaction is RISK Omitted for OPEN or PENDING cases.
Available options:
RISK,
NO_RISK